//////////////////////////////////////
// START of File: API_CMDS.H
//////////////////////////////////////

#ifndef API_CMDS_H          // Avoid multiple #includes...
#define API_CMDS_H  TRUE    // ...holds to a terminal #endif below...

//==================================================================
// COPYRIGHT NOTICE:  This code is protected by Copyright!
//
// Copyright (c) 1994, 1995, 1996, 1997 by DPC Technology.
// All rights reserved. 
//
// See files "cf_copyr.txt" and "cf_licen.txt" for details of 
// copyright and license specifications, and contact information.
//==================================================================

//#include  "api_cmds.h" 
            // Defines ChartFrame Level-3/API "Command IDs", 
            // which will be shared among chart objects such as 
            // Control IDs, Icon IDs, Bitmap IDs, etc..

// Level-3/API command IDs Start at 6000
#define CF_API_CMD_FILE_PRINT_JOB    6000
#define CF_API_CMD_FILE_PRINT_SETUP  6001

#define CF_API_CMD_WINDOW_MAXIMIZE   6002
#define CF_API_CMD_WINDOW_MINIMIZE   6003
#define CF_API_CMD_WINDOW_NORMALSIZE 6004
        // Level-3/API command IDs can go up to: 6039
        // Level-3/API resource IDs will start at: 6040
        // Note that CF "level-4/AUI" IDs will start at: 6100!

#endif      // Terminates #include re-definition protection

//////////////////////////////////////
// END of File: API_CMDS.H
//////////////////////////////////////
