
//////////////////////////////////////
// START of File: C0_STACK.HPP
//////////////////////////////////////

#ifndef C0_STACK_HPP			// Avoid multiple includes...
#define C0_STACK_HPP	TRUE	// ...holds to a terminal #endif below...

//===================================================================
//
// COPYRIGHT NOTICE:  This code is protected by Copyright!
//
// Copyright (c) 1994, 1995, 1996, 1997 by DPC Technology.
// All rights reserved. 
//
// See files "cf_copyr.txt" and "cf_licen.txt" for details of 
// copyright and license specifications, and contact information.
//
//===================================================================

//
// Master Header File Listing:
//
// #include    <cf_api/b0_color.hpp>
// Base Framework abstractions of "Stack" objects.
//

class cf_StackNode;

//
// Map a Chart Framework "Abstracted Stack" Object onto 
// the Underlying Framework's "Abstracted Stack" object:
//
class	cf_Stack
{

public:

	cf_Stack();
	~cf_Stack();

   	void		push (void* item);
	void*		pop ();
	void*		top ();

private:

	cf_StackNode*		head_;

};	//
	// End of cf_Stack Declaration.
	//



#endif		// Terminates include re-definition protection

//////////////////////////////////////
// END of File: C0_STACK.HPP
//////////////////////////////////////
			
