//	Zinc Application Framework - Z_APP.HPP
//	COPYRIGHT (C) 1990-1997.  All Rights Reserved.
//	Zinc Software Incorporated.  Pleasant Grove, Utah  USA

#if !defined(Z_APP_HPP)
#define Z_APP_HPP
#include <z_env.hpp>
#include <z_evtmgr.hpp>

// --------------------------------------------------------------------------
// ----- ZafApplication -----------------------------------------------------
// --------------------------------------------------------------------------

class ZafApplication
{
public:
	// --- General members ---
	int argc;
	ZafIChar **argv;

	ZAF_EXPORT ZafApplication(int argc, char **argv);
	ZAF_EXPORT ~ZafApplication(void);

	ZAF_EXPORT ZafEventType Control(ZafQFlags flags = Q_NORMAL);
	void LinkMain(void);
	int Main(void);
};

#endif // Z_APP_HPP

