# ----- General -------------------------------------------------------------
DEBUG=off

# ----- Usage ---------------------------------------------------------------
usage:
	@type <<

Usage:

zmake win16      (16 bit Windows)
zmake win32      (32 bit Windows)
zmake win32dll   (32 bit Windows dll)
<<

# ----- Clean ---------------------------------------------------------------
clean:
	del *.obw
	del *.ob1
	del *.exe

# ----- Platforms -----------------------------------------------------------
win16: cfz4ct16.exe

win32: cfz4ct32.exe

win32dll: cfz4ct.exe

# ----- Targets -------------------------------------------------------------

#
# Build options for cfz4ct16.exe
#
TARGET=cfz4ct16.exe
TARGET_TYPE=EXE
PLATFORM=WIN16
SOURCE_FILES=cht_main.cpp
ADD_LIBRARIES=cfzw16 zafw16p
DEFINITION_FILE=win16.def
!include <zaf.mak>

#
# Build options for cfz4ct32.exe
#
TARGET=cfz4ct32.exe
TARGET_TYPE=EXE
PLATFORM=WIN32
SOURCE_FILES=cht_main.cpp
ADD_LIBRARIES=cfzw32 zafw32p
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for cfz4ct.exe
#
TARGET=cfz4ct.exe
TARGET_TYPE=EXEDLL
PLATFORM=WIN32
SOURCE_FILES=cht_main.cpp
ADD_LIBRARIES=cfzw32 zafw32p
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for piecht.exe
#
TARGET=piecht.exe
TARGET_TYPE=EXEDLL
PLATFORM=WIN32
SOURCE_FILES=pie_cht.cpp
ADD_LIBRARIES=
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for pntcht.exe
#
TARGET=pntcht.exe
TARGET_TYPE=EXEDLL
PLATFORM=WIN32
SOURCE_FILES=pnt_cht.cpp
ADD_LIBRARIES=
DEFINITION_FILE=
!include <zaf.mak>
