# ----- General -------------------------------------------------------------
DEBUG=off

# ----- Usage ---------------------------------------------------------------
usage:
	@type <<

Usage:

zmake win16      (16 bit Windows)
zmake win32      (32 bit Windows)
zmake win32dll   (32 bit Windows dll)
<<

# ----- Clean ---------------------------------------------------------------
clean:
	del *.obw
	del *.ob1
	del *.exe

# ----- Platforms -----------------------------------------------------------
win16: cfzatr16.exe

win32: cfzatr32.exe

win32dll: cfzatr.exe

# ----- Targets -------------------------------------------------------------

#
# Build options for cfzatr16.exe
#
TARGET=cfzatr16.exe
TARGET_TYPE=EXE
PLATFORM=WIN16
SOURCE_FILES=atr_main.cpp atr_chrt.cpp
ADD_LIBRARIES=cfzw16 zafw16p
DEFINITION_FILE=win16.def
!include <zaf.mak>

#
# Build options for cfzatr32.exe
#
TARGET=cfzatr32.exe
TARGET_TYPE=EXE
PLATFORM=WIN32
SOURCE_FILES=atr_main.cpp atr_chrt.cpp
ADD_LIBRARIES=cfzw32 zafw32p
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for cfzatr.exe
#
TARGET=cfzatr.exe
TARGET_TYPE=EXEDLL
PLATFORM=WIN32
SOURCE_FILES=atr_main.cpp atr_chrt.cpp
ADD_LIBRARIES=cfzw32 zafw32p
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for piecht.exe
#
TARGET=piecht.exe
TARGET_TYPE=EXEDLL
PLATFORM=WIN32
SOURCE_FILES=pie_cht.cpp
ADD_LIBRARIES=
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for pntcht.exe
#
TARGET=pntcht.exe
TARGET_TYPE=EXEDLL
PLATFORM=WIN32
SOURCE_FILES=pnt_cht.cpp
ADD_LIBRARIES=
DEFINITION_FILE=
!include <zaf.mak>
