//////////////////////////////////////
// START of File: CF_TYPED.H
//////////////////////////////////////

#ifndef CF_TYPED_H          // Avoid multiple #includes...
#define CF_TYPED_H  TRUE    // ...holds to a terminal #endif below...

//
// COPYRIGHT NOTICE:  This code is protected by Copyright!
//
// Copyright (c) 1994, 1995, 1996, 1997 by DPC Technology.
// All rights reserved. 
//
// See files "cf_copyr.h" and "cf_licen.h" for details of 
// copyright and license specifications, and contact information.
//

//
// Master Header File Listing:
//
//#include  <api/include/cf_typed.h>
// Chart Framework shared Typedef and Data Structure Definitions
// to yield implementation-independant typedefs for this framework
//
typedef double  CF_4BY4_MATRIX[ 4 ][ 4 ];
                // Std. (homogenoeous) Geometry Transform Matrix.
                // Used primarily by the Chart Framework Kernel.

typedef double  CF_4BY2_MATRIX[ 4 ][ 2 ];
                // Std. Projection Transform Matrix
                // Used primarily by the Chart Framework Kernel.

#endif      // Terminates #include re-definition protection

//////////////////////////////////////
// END of File: CF_TYPED.H
//////////////////////////////////////

            