//////////////////////////////////////
// START of File: B0_COLOR.CPP
//////////////////////////////////////

//===================================================================
//
// COPYRIGHT NOTICE:  This code is protected by Copyright!
//
// Copyright (c) 1994, 1995, 1996, 1997 by DPC Technology.
// All rights reserved.
//
// See files "cf_copyr.h" and "cf_licen.h" for details of
// copyright and license specifications, and contact information.
//
//===================================================================

//
// Include this source file's header file:
//
#include    <cf_api/b0_color.hpp>
            // relative to the IDE's (global) include path: ~/cfrz


//
// Map the Chart Framework "Abstracted Color" Object onto
// the Underlying Framework's "Abstracted Color" object:
//
bf_Color
    ::bf_Color()
{ zlcMapTo_ = ZAF_CLR_BLACK; }


bf_Color
    ::bf_Color( int /*iRed*/, int /*iGreen*/, int /*iBlue*/ )
{ zlcMapTo_ = ZAF_CLR_BLACK; }


bf_Color
	::bf_Color( ZafLogicalColor zlcFromThisColor )
{ zlcMapTo_ = zlcFromThisColor; }


bf_Color
    ::~bf_Color()
{}


bf_Color
    ::operator ZafLogicalColor()
{ return zlcMapTo_; }


const int
    bf_Color
        ::r()
            const
{ return( (const int)( 0 ) ); }

const int
    bf_Color
        ::g()
            const
{ return( (const int)( 0 ) ); }

const int
    bf_Color
        ::b()
            const
{ return( (const int)( 0 ) ); }

//
// End of bf_Color Pseudo-Implementation/Mapping.
//

//////////////////////////////////////
// END of File: B0_COLOR.CPP
//////////////////////////////////////




