//////////////////////////////////////
// START of File: B0_FONTS.CPP
//////////////////////////////////////

//===================================================================
//
// COPYRIGHT NOTICE:  This code is protected by Copyright!
//
// Copyright (c) 1994, 1995, 1996, 1997 by DPC Technology.
// All rights reserved. 
//
// See files "cf_copyr.h" and "cf_licen.h" for details of 
// copyright and license specifications, and contact information.
//
//===================================================================

/*
 *	b0_fonts.cpp -- Zinc version
 */
#include    <cf_api/b0_fonts.hpp>
//
// Map the Chart Framework "Base Framework Font Spec" Object onto 
// the Underlying Framework's "Base Framework Font Spec" object:
//
bf_FontSpec
    ::bf_FontSpec() 
            {}


bf_FontSpec
    ::bf_FontSpec( cf_String      /*cf_strFontName*/,
                    cf_2DRect      /*bf_2drWidthAndHeight*/,
                    int             /*iWeight*/,
                    bf_FontFamily  /*bf_ffEnumFamilyType*/,
                    bf_FontPitch   /*bf_fpEnumPitchType*/,
                    int             /*iStyleFlags*/ )
            {}


                                    
bf_FontSpec
    ::bf_FontSpec( cf_String      /*cf_strFontName*/,
                    cf_2DRect      /*bf_2drWidthAndHeight*/,
                    int             /*iWeight*/,
                    bf_FontFamily  /*bf_ffEnumFamilyType*/,
                    bf_FontPitch   /*bf_fpEnumPitchType*/,
                    int             /*iStyleFlags*/,
                    int             /*iEscapementAngle*/,
                    int             /*iOrientationAngle*/ )
            {}

                                    
                                    
bf_FontSpec
    ::bf_FontSpec( cf_String          /*cf_strFontName*/,
                    bf_DispLogFontDim  /*bf_dlfdWidthAndHeight*/,
                    int                 /*iWeight*/,
                    bf_FontFamily      /*bf_ffEnumFamilyType*/,
                    bf_FontPitch       /*bf_fpEnumPitchType*/,
                    int                 /*iStyleFlags*/,
                    int                 /*iEscapementAngle*/,
                    int                 /*iOrientationAngle*/ )
            {}



bf_FontSpec
    ::~bf_FontSpec() 
        {}

cf_String  
    bf_FontSpec
    ::fsp_faceName()
{
	return (cf_String ("fixed"));
}

//
// End of bf_FontSpec Pseudo-Implementation/Mapping.
//




//
// Map the Chart Framework "Base Framework Font" Object onto 
// the Underlying Framework's "Base Framework Font" object:
//
bf_Font
    ::bf_Font()
            {}      //
                    // i.e. use a "stock font" object 
                    // under default c-tor circumstances.
                    //

bf_Font
    ::bf_Font( bf_FontSpec &/*r_bf__fspUseThisFontSpec*/ )
            {}


bf_Font
    ::~bf_Font() 
        {}

//
// End of bf_Font Pseudo-Implementation/Mapping.
//


//
// Map the Chart Framework "Base FrameWork Display-Context Font" Object onto 
// the Underlying Framework's "Display-Context Font" object:
//
bf_FontInfo
    ::bf_FontInfo( bf_Display * /*p_bf_dspCurrentDisplay*/ )
            {}

bf_FontInfo
    ::~bf_FontInfo()
        {}

int
    bf_FontInfo
        ::fnfo_height()
{
	return (0);
}

int
    bf_FontInfo
        ::fnfo_width()
{
	return (0);
}

int
    bf_FontInfo
        ::fnfo_weight()
{
	return (0);
}
    
bf_FontFamily  
    bf_FontInfo
        ::fnfo_family()
{
	return (0);
}
                
bf_FontPitch   
    bf_FontInfo
        ::fnfo_pitch()
{
	return (0);
}

BOOL
    bf_FontInfo
        ::fnfo_isItalic() 
{
	return (0);
}
                
BOOL
    bf_FontInfo
        ::fnfo_isUnderlined()
{
	return (0);
}
                
BOOL
    bf_FontInfo
        ::fnfo_isStruckOut()
{
	return (0);
}

//
// End of bf_FontInfo Pseudo-Implementation/Mapping.
//


//////////////////////////////////////
// END of File: B0_FONTS.CPP
//////////////////////////////////////




