# ----- General -------------------------------------------------------------
DEBUG=off

SOURCE_FILES=chart.cpp

# ----- Usage ---------------------------------------------------------------
usage:
	@type <<

Usage:

zmake win16      (16 bit Windows)
zmake win32      (32 bit Windows)
zmake win32dll   (32 bit Windows dll)
<<

# ----- Clean ---------------------------------------------------------------
clean:
	z_clean

# ----- Platforms -----------------------------------------------------------
win16: wchart16.exe

win32: wchart32.exe

win32dll: wchart.exe

# ----- Targets -------------------------------------------------------------

#
# Build options for wchart16.exe
#
TARGET=wchart16.exe
TARGET_TYPE=EXE
PLATFORM=WIN16
ADD_LIBRARIES=cfzw16.lib
DEFINITION_FILE=win16.def
!include <zaf.mak>

#
# Build options for wchart32.exe
#
TARGET=wchart32.exe
TARGET_TYPE=EXE
PLATFORM=WIN32
ADD_LIBRARIES=cfzw32.lib
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for wchart1.exe
#
TARGET=wchart.exe
TARGET_TYPE=EXEDLL
PLATFORM=WIN32
ADD_LIBRARIES=cfzw32i.lib
DEFINITION_FILE=
!include <zaf.mak>

