//	Zinc Application Framework - Z_UTILS.HPP
//	COPYRIGHT (C) 1990-1997.  All Rights Reserved.
//	Zinc Software Incorporated.  Pleasant Grove, Utah  USA

#if !defined(Z_UTILS_HPP)
#define Z_UTILS_HPP
#include <z_env.hpp>

ZAF_EXPORT int WildStrcmp(const ZafIChar *str, const ZafIChar *pattern);

inline int ZafAbs(int value) { return ((value > 0) ? value : -value); }
inline int ZafMin(int arg1, int arg2) { return ((arg1 < arg2) ? arg1 : arg2); }
inline int ZafMax(int arg1, int arg2) { return ((arg1 > arg2) ? arg1 : arg2); }

#endif // Z_UTILS_HPP

