//	Zinc Application Framework - Z_STDLIB.CPP
//	COPYRIGHT (C) 1990-1997.  All Rights Reserved.
//	Zinc Software Incorporated.  Pleasant Grove, Utah  USA

#include <z_stdlib.hpp>
#include <z_cset.hpp>

#if defined(ZAF_UNICODE)
#	include "u_stdlib.cpp"
#elif defined(ZAF_ISO8859_1)
ZafIChar *ZafGetEnv(const ZafIChar *envname)
{
	static ZafIChar newEnv[ZAF_MAXPATHLEN];
	char mappedEnvname[ZAF_MAXPATHLEN];
	zafCodeSet->ConvertToOSString(envname, mappedEnvname, false);
#undef getenv
	char *env = OSgetenv(mappedEnvname);
	if (env)
	{
		zafCodeSet->ConvertToZafString(env, newEnv, false);
		return (newEnv);
	}
	return (ZAF_NULLP(ZafIChar));
}
#else
	// We use the compiler's library for OEM characters
#endif
